import 'package:flutter/cupertino.dart';

class CustomTabsState {
  List? tabsList;
  int? activeIndex;
  Widget? Function(BuildContext)? tabItemBuilder;
  VoidCallback? onClickAction;

  CustomTabsState({
    this.tabsList,
    this.activeIndex,
    this.tabItemBuilder,
    this.onClickAction,
  });

  CustomTabsState copyWith({
    List? tabsList,
    int? activeIndex,
    Widget? Function(BuildContext)? tabItemBuilder,
    VoidCallback? onClickAction,
  }) {
    return CustomTabsState(
      tabsList: tabsList ?? this.tabsList,
      activeIndex: activeIndex ?? this.activeIndex,
      tabItemBuilder: tabItemBuilder ?? this.tabItemBuilder,
      onClickAction: onClickAction ?? this.onClickAction,
    );
  }
}